Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881608 - Applied patch for allow leveldbjni build
Summary: Applied patch for allow leveldbjni build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: leveldb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 881590
TreeView+ depends on / blocked
 
Reported: 2012-11-29 08:07 UTC by gil cattaneo
Modified: 2012-12-08 04:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 10:14:00 UTC
Type: Bug


Attachments (Terms of Use)
Applied patch for allow leveldbjni build (3.09 KB, patch)
2012-11-29 08:07 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2012-11-29 08:07:48 UTC
Created attachment 654036 [details]
Applied patch for allow leveldbjni build

Description of problem:

this patch is required for build leveldbjni (Java Native Interface to LevelDB)

[INFO] /usr/include/leveldb/slice.h:81:15: error: 'const char* leveldb::Slice::data_' is private
[INFO] src/leveldbjni_structs.cpp:242:12: error: within this context
[INFO] /usr/include/leveldb/slice.h:82:10: error: 'size_t leveldb::Slice::size_' is private
[INFO] src/leveldbjni_structs.cpp:243:12: error: within this context
[INFO] /usr/include/leveldb/slice.h: In function 'void setNativeSliceFields(JNIEnv*, jobject, leveldb::Slice*)':
[INFO] /usr/include/leveldb/slice.h:81:15: error: 'const char* leveldb::Slice::data_' is private
[INFO] src/leveldbjni_structs.cpp:250:78: error: within this context
[INFO] /usr/include/leveldb/slice.h:82:10: error: 'size_t leveldb::Slice::size_' is private
[INFO] src/leveldbjni_structs.cpp:251:68: error: within this context
[INFO] make: *** [leveldbjni_structs.lo] Error 1
Version-Release number of selected component (if applicable): all


How reproducible: always

please, apply this patch

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4739965

Comment 1 Peter Lemenkov 2012-11-29 08:16:24 UTC
I don't see any issues with this patch - please go on and apply this.

Comment 2 Fedora Update System 2012-11-29 09:06:56 UTC
leveldb-1.7.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/leveldb-1.7.0-4.fc18

Comment 3 Fedora Update System 2012-11-30 06:43:58 UTC
Package leveldb-1.7.0-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing leveldb-1.7.0-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19413/leveldb-1.7.0-4.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-12-08 04:25:05 UTC
leveldb-1.7.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.